using UnityEngine;

namespace ConjureOS.CustomWindow 
{
    public class ConjureArcadeGUI
    {
        public struct Style
        {
            public const int UniformPadding = 10;
            public const int TextSizeError = 10;
            public readonly static Color32 ColorError = new Color(0.84f, 0.19f, 0.19f);
            public readonly static Color32 ColorSuccess = new Color(0.19f, 0.84f, 0.35f);

            public static GUIStyle ErrorStyle = GenerateGUIStyle(ColorError);
            public static GUIStyle SuccessStyle = GenerateGUIStyle(ColorSuccess);

            private static GUIStyle GenerateGUIStyle(Color32 color)
            {
                GUIStyle errorStyle = new GUIStyle();
                errorStyle.normal.textColor = color;
                errorStyle.fontSize = TextSizeError;
                errorStyle.wordWrap = true;

                return errorStyle;
            }
        }

        public struct Message
        {
            public const string MetadataFailedMessage = "{0} error{1} have been detected.";
            public const string MetadataConfirmedMessage = "No errors detected. The game is ready to be published.";
        }
    }
}